summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenjamin Otte <otte@redhat.com>2021-11-04 02:52:38 +0100
committerMatthias Clasen <mclasen@redhat.com>2023-01-12 20:12:37 -0500
commit3fd6da116f103b163402f180f1c2eef2a341a29c (patch)
treefacd827f023d85121fddd84ac52f712ec92d907b
parent7ae549e253080f297597ddcecdb3a9c047a38bd9 (diff)
downloadgtk+-wip/otte/macos-werror.tar.gz
macos: Run the testsuitewip/otte/macos-werror
-rw-r--r--.gitlab-ci.yml1
-rwxr-xr-x.gitlab-ci/run-tests.sh11
-rw-r--r--testsuite/meson.build1
3 files changed, 13 insertions, 0 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 907a82d26b..8be5fb2436 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -217,6 +217,7 @@ macos:
-Dlibjpeg-turbo:simd=disabled
_build
- meson compile -C _build
+ - .gitlab-ci/run-tests.sh _build macos
artifacts:
when: always
paths:
diff --git a/.gitlab-ci/run-tests.sh b/.gitlab-ci/run-tests.sh
index a4593532f3..dc14605afe 100755
--- a/.gitlab-ci/run-tests.sh
+++ b/.gitlab-ci/run-tests.sh
@@ -90,6 +90,17 @@ case "${backend}" in
kill ${compositor}
;;
+ macos)
+ meson test -C ${builddir} \
+ --timeout-multiplier "${MESON_TEST_TIMEOUT_MULTIPLIER}" \
+ --print-errorlogs \
+ --setup=${backend} \
+ --suite=gtk \
+ --no-suite=gsk-compare-opengl
+ exit_code=$?
+ ;;
+
+
broadway)
export XDG_RUNTIME_DIR="$(mktemp -p $(pwd) -d xdg-runtime-XXXXXX)"
diff --git a/testsuite/meson.build b/testsuite/meson.build
index 688a253978..6d2c877359 100644
--- a/testsuite/meson.build
+++ b/testsuite/meson.build
@@ -19,6 +19,7 @@ setups = [
'env': ['GDK_DEBUG=gl-gles,default-settings'], },
{ 'backend': 'win32', 'if': os_win32 },
{ 'backend': 'broadway', 'if': broadway_enabled, },
+ { 'backend': 'macos', 'if': macos_enabled, },
]
foreach setup : setups